alias l='ls'
alias ls='/bin/ls $LS_OPTIONS'

# Check for GNU ls and add colour and ISO8601 dates if available.
ls=$(ls --help 2>/dev/null)
if echo "$ls" | grep gnu.org >/dev/null; then
  eval `dircolors 2>/dev/null` 2>/dev/null

  LS_OPTIONS="--color=auto -F -b"
  if echo $ls | grep -- --time-style >/dev/null; then
    LS_OPTIONS="$LS_OPTIONS --time-style=long-iso"
  fi
  export LS_OPTIONS
elif [ "$SYSTEM" = "Darwin" ]; then
  export LS_OPTIONS="-G -F -b"
fi
unset ls
